---
title: "Enable campaign price adjusting"
type: reference
method: POST
path: /rest-api/price-adjustment-rules/campaign/{entityId}/enable.do
tag: "Campaign Price Adjustment Rules"
---

# Enable campaign price adjusting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/campaign/{entityId}/enable.do`

Switches price adjusting on for the campaign. Its price adjustment rules only change the price while this switch is on. Returns the new state in enablePriceAdjusting. Requires MANAGE_PRICE_ADJUSTING permission and UPDATE access to the owning advertiser.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `entityId` | integer | yes | `100` | Unique numeric identifier of the campaign |

## Responses

- `200` — Price adjusting enabled
- `400` — Malformed campaign ID
- `401` — Authentication error
- `403` — Permission denied
- `404` — campaign not found or deleted

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/campaign/100/enable.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/campaign-price-adjustment-rules/post-price-adjustment-rules-campaign-enable